/* export function indexGetIndexData (data) {
  return axios.request({
    url: 'api/admin.php?s=Admin.Index.GetIndexData',
    method: 'post',
    data
  })
} */
import axios from '@/libs/api.request'

// 应用管理列表
export const GetAppList = (data) => {
  return axios.request({
    method: 'post',
    url: 'platform.php?s=Platform.Apps.GetAppList',
    data
  })
}

// 添加新应用
export const AddApp = (data) => {
  return axios.request({
    method: 'post',
    url: 'platform.php?s=Platform.Apps.AddApp',
    data
  })
}

// 根据app_key查找应用
export const GetAppInfo = (data) => {
  return axios.request({
    method: 'post',
    url: 'platform.php?s=Platform.Apps.GetMyAppInfo',
    data
  })
}

// 编辑应用
export const EditApp = (data) => {
  return axios.request({
    method: 'post',
    url: 'platform.php?s=Platform.Apps.EditMyApp',
    data
  })
}

// 注销应用
export const CancelApp = (data) => {
  return axios.request({
    method: 'post',
    url: 'platform.php?s=Platform.Apps.CancelApp',
    data
  })
}

// 获取下拉应用列表
export const GetAppDropdownList = (data) => {
  return axios.request({
    method: 'post',
    url: 'platform.php?s=Platform.Apps.GetAppDropdownList',
    data
  })
}

// 获取全部接口及权限列表
export const GetAllAppApis = (data) => {
  return axios.request({
    method: 'post',
    url: 'platform.php?s=Platform.Rights.GetAllAppApis',
    data
  })
}
